/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

:root {
  --primary: #549900; 
}

/* montserrat-300 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/montserrat-v26-latin_latin-ext-300.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-300.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-300.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-300.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-300.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-300italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 300;
  src: url('fonts/montserrat-v26-latin_latin-ext-300italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-300italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-300italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-300italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-300italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-300italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/montserrat-v26-latin_latin-ext-regular.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-regular.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-regular.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-regular.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 400;
  src: url('fonts/montserrat-v26-latin_latin-ext-italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-500 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/montserrat-v26-latin_latin-ext-500.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-500.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-500.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-500.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-500italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 500;
  src: url('fonts/montserrat-v26-latin_latin-ext-500italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-500italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-500italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-500italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-500italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-500italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-600 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/montserrat-v26-latin_latin-ext-600.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-600.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-600.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-600.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-600.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-600italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 600;
  src: url('fonts/montserrat-v26-latin_latin-ext-600italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-600italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-600italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-600italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-600italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-600italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/montserrat-v26-latin_latin-ext-700.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-700.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-700.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-700.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 700;
  src: url('fonts/montserrat-v26-latin_latin-ext-700italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-700italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-700italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-700italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-700italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-800 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 800;
  src: url('fonts/montserrat-v26-latin_latin-ext-800.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-800.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-800.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-800.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-800.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-800.svg#Montserrat') format('svg'); /* Legacy iOS */
}
/* montserrat-800italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Montserrat';
  font-style: italic;
  font-weight: 800;
  src: url('fonts/montserrat-v26-latin_latin-ext-800italic.eot'); /* IE9 Compat Modes */
  src: url('fonts/montserrat-v26-latin_latin-ext-800italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/montserrat-v26-latin_latin-ext-800italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('fonts/montserrat-v26-latin_latin-ext-800italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
       url('fonts/montserrat-v26-latin_latin-ext-800italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
       url('fonts/montserrat-v26-latin_latin-ext-800italic.svg#Montserrat') format('svg'); /* Legacy iOS */
}

body, h1, h2, h3, h4, h5, h6, p, a, li, input, button, div {
    font-family: 'Montserrat'!important;
}

.wpcf7-response-output {
  padding: 10px 20px!important;
  font-size: 18px!important;
}

.wpcf7 form.sent .wpcf7-response-output {
  border-color: #447c00!important;
  color: white!important;
  background-color: var(--primary)!important;
}

.justify {
    text-align: justify;
}

.strong-color strong {
    color: var(--primary)!important;
    font-size: 26px;
}

.center-border {
    text-align: center;
    padding: 50px 20px;
    border: 1px dotted #ee492b;
}

/* Google reCaptcha */
.grecaptcha-badge {
    visibility: hidden;
}


@media (min-width: 0px) and (max-width: 569px) {
    .mobile-full {
        width: 100%!important;
        height: auto;
        margin-bottom: 20px;
        box-shadow: 0px 0px 30px #aaa;
    }
}

.no-border a {
    border-bottom: none!important;
}
.solid-border a {
    border-style: solid!important;
}

.white, a.white, .white a {
  color: white!important;
}

.panel:not(.has-padding) .panel-title > a {
  padding: 13px 0px 13px 0px!important;
}

.zlavy-menu li a {
  font-size: 20px;
}

.smalltext p {
  font-weight: 400!important;
  font-size: 12px!important;
}

form small {
  font-weight: 400!important;
  font-size: 12px!important;
}


/* Ikony rýchleho kontaktu MOBIL */
.fine-icon-mobile {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0px!important;
  z-index: 10;
  width: 100%;
}
.fine-icon-mobile .fine-icon-phone {
  position: absolute;
  left: 25px;
  bottom: 25px;
}
.fine-icon-mobile .fine-icon-mail {
  position: absolute;
  left: 100px;
  bottom: 25px;
}
.fine-icon-mobile a {
  display: block;
  font-size: 26px;
  background-color: #447c00;
  width: 60px;
  height: 60px;
  line-height: 65px;
  border-radius: 60px;
  text-align: center;
}
.fine-icon-mobile a:hover {
  color: white!important;
  background-color: #2a4d00;
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}


/* Ikony rýchleho kontaktu PC */
.fine-icon-pc {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0px!important;
  z-index: 10;
  width: 100%;
}
.fine-icon-pc .fine-icon-phone {
  position: absolute;
  left: 25px;
  bottom: 25px;
}
.fine-icon-pc .fine-icon-mail {
  position: absolute;
  left: 195px;
  bottom: 25px;
}
.fine-icon-pc a {
  display: block;
  font-size: 14px;
  background-color: #447c00;
  line-height: 34px;
  border-radius: 60px;
  text-align: center;
  padding: 0px 12px;
}
.fine-icon-pc a i {
  vertical-align: middle;
}
.fine-icon-pc a:hover {
  color: white!important;
  background-color: #2a4d00;
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}

/* Scrool Up v pätičke */
.fine-scrollup {
  text-align: center;
}
.fine-scrollup a {
  color: white;
  line-height: 50px;
  height: 50px;
  font-size: 28px;
  width: 100%;
  display: block;
  background-color:#2a4d00;
}
.fine-scrollup a:hover {
  background-color: var(--primary);
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}
a.box-link {
  padding: 5px 10px;
  background-color: rgba(0, 0, 0, 0.743);
  border-radius: 30px;
  font-weight: 600;
}

.my-border-bottom {
  border-bottom: 5px solid rgb(221, 221, 221)!important;
}

/* Oprava zobrazovania šípky pri podmenu s viacerými položkami */
@media (min-width: 960px) {
  body[class*=hmenu-] .menu-smart ul > li > a i.fa-dropdown {
      top: 3px;
  }
}


/* --- Archív produktov, default WooCommerce Eshop page --- */

/* tieň na obrázkoch produktov */
.tmb-woocommerce .t-entry-visual {
  border: 1px solid #ddd;
  aspect-ratio: 1/1;
}
.tmb-woocommerce .t-entry-visual .t-entry-visual-cont img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* oprava zobrazenia filtra produktov "Prednastavené zoradenie" */
select[name="orderby"] {
  padding-right: 30px;
}


/* TOP BAR STYLES */
#menu-top-menu ul li i {display:none;}

a.skalkyzahrady-logo {
  display: inline-block;
  width: 155px;
  height: 35px;
  padding: 0px!important;
  margin: 0px!important;
  background-image: url("/wp-content/uploads/2026/01/logo-skalkyzahrady-biele-animacia.gif");
  background-size: contain;
  background-repeat: no-repeat;
}

.top-menu.top-menu-enhanced .row-menu-inner.top-enhanced-between {
    align-items: center;
}
.menu-bloginfo {
  padding-top: 0px!important;
  padding-bottom: 0px!important;
}
/* endof - TOP BAR STYLES */

/* Product category sidebar styles */
ul.product-categories li.cat-item a::before {
  display: none;
}
ul.product-categories li.cat-item a {
    background-color: rgb(238, 238, 238);
    width: 100%;
    padding: 10px;
    display: inline-block;
}
ul.product-categories ul.children li a{
  padding-top: 6px!important;
  padding-bottom: 6px!important;
}
ul.product-categories li {
    margin-bottom: 2px;
}
ul.product-categories li, .uncode_widget li {
    margin-bottom: 2px;
}
.widget-container ul.product-categories > li > ul, .widget-container ul.product-categories > li > ul:not(.no-list):not(.term-filters-list) {
  background-color: #95b271;
  margin-top: 0px !important;
  margin-left: 0px!important;
  padding: 2px;
  display: none;
}
.widget-container ul.product-categories > li.current-cat > ul, .widget-container ul.product-categories > li.current-cat > ul:not(.no-list):not(.term-filters-list) {
  display: block;
}
.widget-container ul.product-categories > li.current-cat-parent > ul, .widget-container ul.product-categories > li.current-cat-parent > ul:not(.no-list):not(.term-filters-list) {
  display: block;
}
ul.product-categories li.current-cat-parent {
  background-color: var(--primary);
}
ul.product-categories li.current-cat-parent > a {
  background-color: #447c00!important;
  color: white!important;
}
ul.product-categories > li.current-cat-parent > ul {
    display: block;
}
ul.product-categories li.current-cat > a {
    background-color: var(--primary);
    color: white!important;
    font-weight: 700;
}
/* endof - Product category sidebar styles */

/* Obal pre responzivitu na mobiloch */
.table-wrapper {
  width: 100%;
  overflow-x: auto;
  margin: 20px 0;
}

/* Všeobecný styling tabuľky */
table {
  width: 100%;
  border-collapse: collapse;
  color: #333;
  background-color: #fff;
  border: 1px solid #ddd;
}

/* Hlavička tabuľky */
table thead tr {
  background-color: var(--primary-green); /* Výrazná tmavošedá */
  color: #ffffff;
  text-align: left;
}

table th, 
table td {
  padding: 12px 15px;
  border: 1px solid #eee;
}

/* Alternatívne riadky (Zebra efekt) */
table tbody tr:nth-of-type(even) {
  background-color: #f7f7f7; /* Jemne šedý riadok */
}

/* Hover efekt na riadok */
table tbody tr:hover {
  background-color: #efefef; /* O niečo tmavšia šedá pri prejdení myšou */
  transition: background-color 0.2s ease;
}

/* Jemné zvýraznenie prvého stĺpca (voliteľné) */
table td:first-child {
  font-weight: 600;
  color: #000;
}

.text-lead, .text-lead:not(ul):not(ol) > *, .text-lead > *:not(ul):not(ol):not(li) {
    margin: 16px 0px 0px 0px;
}


#cmplz-manage-consent .cmplz-manage-consent {
    height: 35px!important;
    line-height: 0px!important;
    background-color: var(--primary)!important;
    color: white!important;
  }
